Page MenuHomePhabricator

Special:EntityData should support "pretty" syntax for document names
Closed, ResolvedPublic

Description

Special:EntityData should support a "pretty" form of specifying the entity, revision and format, in addition to using the URL parameters id, revision and format. The following format is suggested:

  • Special:EntityData/Q1234 for accessing the data about item Q1234
  • Special:EntityData/Q1234.json for accessing the data about item Q1234 in JSON.
  • Special:EntityData/Q1234:87654 for accessing revision 87654 of item Q1234.
  • Special:EntityData/Q1234:87654.json for accessing revision 87654 of item Q1234 in JSON.

Version: unspecified
Severity: normal

Details

Reference
bz44575

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:27 AM
bzimport set Reference to bz44575.
daniel created this task.Feb 1 2013, 11:10 AM

picked up for sprint 31

Gerrit change 47080 merged by John Erling Blad on the 3rd - is this bug resolved?

Verified in Wikidata demo sprint 32

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 6:06 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript